IE5 and VRML2 microsoft plugin with EAI 
Author Message
 IE5 and VRML2 microsoft plugin with EAI

Hi,
Here some informations and questions ....

1) I just try IE5 (French version) on NT4 without any VRML2 plugin
   I load a page with a world and and and ???
   No GPF, No Dr WATSON but no more IE5 !!!! Bye, bye IE5

2)Ok, I install Microsoft VRML2 plugin from
http://www.*-*-*.com/
  (Microsoft VRML2 plugin is WorldView 2.1)
  (i) - I load a page with a world. Ok, it works fine.
  (ii) - I load a page with a world and applet using EAI and
         nothing work !!!
         The same page loaded with NN4+CP2.1 or IE4+WV2.1 is ok...
        I trace the problem and I find quickly the problem. The msg is
clear:
        "java.lang.ClassNotFoundException: vrml.external.Browser"
        Ooops, where are classes ???
        I read readme.txt file and I find something about classpath :

        HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Java VM/Classpath
        The value of this key is :
           c:\Program Files\WorldView
2.1\axWorldView.zip;C:\WTSRV\java\classes;

        But in reality, after installation, the classes are in
           c:\Program Files\PLATINUM Technology\WorldView for Internet
Explorer\

  (iii) - After changing, the value key, all work fine !!!

Who has try IE5+MS-VRML2 ?



Sun, 05 May 2002 03:00:00 GMT  
 IE5 and VRML2 microsoft plugin with EAI
    I used MS vrml 2.0 Viewer with MSIE 5.0 on Windows 98 for several weeks
and had no unexplained crashes.  I have also downloaded WorldView 2.1 from
intervista.com but couldn't get it to run at all.  It appears the two are
related but not identical.

    I've since settled on Blaxxun Contact 4.2 as my browser of choice.
Contact appears to be more compatible with my graphics card (nVidia Riva
TNT) as it gives me much better frame rates than MS VRML or Cosmo Player.

JB



Sun, 05 May 2002 03:00:00 GMT  
 IE5 and VRML2 microsoft plugin with EAI
Hi,

Joe B a crit :

Quote:

>     I used MS VRML 2.0 Viewer with MSIE 5.0 on Windows 98 for several weeks
> and had no unexplained crashes.

Do you use EAI ?
If so, the W98 installer isn't corrupt.
For NT4, the installer is nor so good :-(
*

Quote:
>  I have also downloaded WorldView 2.1 from
> intervista.com but couldn't get it to run at all.  It appears the two are
> related but not identical.

Same conclusion with WorldView and IE5

Quote:

>     I've since settled on Blaxxun Contact 4.2 as my browser of choice.
> Contact appears to be more compatible with my graphics card (nVidia Riva
> TNT) as it gives me much better frame rates than MS VRML or Cosmo Player.

I'm sure it's a good choice but, I must perform all configuration to
define a good choice for users.
Quote:

> JB



Sun, 05 May 2002 03:00:00 GMT  
 IE5 and VRML2 microsoft plugin with EAI
Re your original post: I've never had IE5 on Win98 crash when loading a page
with a .wrl and no plug-in installed.  I just get IE's bad link icon in
place of the .wrl.

Quote:
> Do you use EAI ?

I don't use EAI in the .wrl's that I create, however I have viewed worlds
with EAI content using the MS VRML viewer.  The applets don't always perform
as expected, though.  Some functions seem to work and others don't.

Quote:
> I'm sure it's a good choice but, I must perform all configuration to
> define a good choice for users.

There seems to be a lot of unpredictable variations between VRML browsers.
Lately I'm finding that the MS viewer has trouble with my text nodes and
proximity sensors even though they work fine in blaxxun Contact.  I'm
beginning to believe that it's not practical to create a .wrl of any
complexity that will work the same in more than one VRML browser.


Mon, 06 May 2002 03:00:00 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. EAI using IE5.0 and the Microsoft VRML2.0 browser.

2. IE5 and VRML-Plugin

3. Plugin choices for IE5

4. Plugin choices for IE5

5. IE5 upgrade to MIcrosoft (WorldView) 2.1 VRML viewer

6. What Browser/Plugin Does VRML2.0 in W95?

7. EAI and the Java 2 plugin

8. Java 1.2 plugin and EAI

9. Java Plugin 1.1.2 & EAI

10. Java Plugin & EAI

11. EAI: Couldn't find vrml plugin...

12. VRML PlugIn for Microsoft's Internet Explorer (Windows 3.x)

 

 
Powered by phpBB® Forum Software